## ros-humble-aruco 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(aruco)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()
set(CMAKE_CXX_STANDARD 11) # C++11...
set(CMAKE_CXX_STANDARD_REQUIRED ON) #...is required...
set(CMAKE_CXX_EXTENSIONS ON) #...with compiler extensions like gnu++11
string(REPLACE "-Werror=shadow" "" NEW_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
set(CMAKE_CXX_FLAGS "${NEW_CXX_FLAGS}")

# find dependencies
find_package(ament_cmake)
find_package(Eigen3 REQUIRED)
find_package(OpenCV 4.2.0 REQUIRED)

add_library(${PROJECT_NAME}
  SHARED
  src/aruco/cvdrawingutils.cpp
  src/aruco/cameraparameters.cpp
  src/aruco/cvdrawingutils.cpp
  src/aruco/debug.cpp
  src/aruco/dictionary_based.cpp
  src/aruco/dictionary.cpp
  src/aruco/fractaldetector.cpp
  src/aruco/ippe.cpp
  src/aruco/marker.cpp
  src/aruco/markerdetector_impl.cpp
  src/aruco/markerdetector.cpp
  src/aruco/markerlabeler.cpp
  src/aruco/markermap.cpp
  src/aruco/posetracker.cpp
  src/aruco/fractallabelers/fractallabeler.cpp
  src/aruco/fractallabelers/fractalmarker.cpp
  src/aruco/fractallabelers/fractalmarkerset.cpp
  src/aruco/fractallabelers/fractalposetracker.cpp
)

target_include_directories(
  ${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/aruco>
  $<INSTALL_INTERFACE:include/aruco>
)

target_include_directories(
  ${PROJECT_NAME}
  SYSTEM PUBLIC
  ${OpenCV_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})

#############
## Install ##
#############

install(TARGETS aruco
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
   DESTINATION include
)

## EXPORTS
ament_export_include_directories(
  include
)
ament_export_libraries(
  ${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-aruco (5.0.0-1jammy) jammy; urgency=high

  * fixed cornerUpsample slicing bug issue
  * disable tests for package aruco
  * added missing ament exports in CMakeLists.txt
  * added ament_lint test to the packages aruco and aruco_msgs
  * added minor fix in aruco CMakeLists.txt
  * added the ament configuration to build with colcon
  * Contributors: Noel Jimenez, Sai Kishor Kothakota, josegarcia

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-aruco (3.1.2-1jammy) jammy; urgency=high

  * disable the shadow compilation flag
  * Contributors: Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-aruco (3.1.1-1jammy) jammy; urgency=high

  * Merge branch 'fix/remove-markerlabelers' into 'gallium-devel'
    removed markerlabelers folder
    See merge request ros-overlays/aruco_ros!6
  * removed markerlabelers folder
  * Contributors: josecarlos, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-aruco (3.1.0-1jammy) jammy; urgency=high

  * Merge branch 'feat/aruco-3.1.5-migration-gallium' into 'gallium-devel'
    ArUCO 3.1.5 migration gallium
    See merge request ros-overlays/aruco_ros!5
  * replace disable_pal_flags() with set DISABLE_PAL_FLAGS
  * clang formatting
  * add support for extrinsics with stereo cameras
  * Add correct fisheye distortion functionality
  * migrate to 3.1.5
  * Contributors: josecarlos, josegarcia, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-aruco (3.0.3-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 16 May 2022 00:00:00 -0000

ros-humble-aruco (3.0.2-1jammy) jammy; urgency=high

  * Merge pull request #103 from bmagyar/make-sai-maintainer
    Make Sai maintainer of all aruco_ros packages
  * Make Sai maintainer of all
  * Update license tags in the package.xml
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-aruco (3.0.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-humble-aruco (3.0.0-1jammy) jammy; urgency=high

  * fixes pal-robotics/aruco_ros/#89
  * Contributors: 444lhc

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 16 Jul 2021 00:00:00 -0000

ros-humble-aruco (2.1.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 17 Sep 2020 00:00:00 -0000

ros-humble-aruco (2.1.0-1jammy) jammy; urgency=high

  * Add param to correct fisheye distortion with special CV functions
  * Add support for camera extrinsics when dealing with stereo cameras
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 21 Jan 2020 00:00:00 -0000

ros-humble-aruco (2.0.2-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sat, 09 Nov 2019 00:00:00 -0000

ros-humble-aruco (2.0.1-1jammy) jammy; urgency=high

  * Fix dependency
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-aruco (1.0.0-1jammy) jammy; urgency=high

  * Fix shadowed variables
  * Add SYSTEN to include dirs
  * Merge pull request #68 <https://github.com/pal-robotics/aruco_ros//issues/68> from aPonza/ros_format
    Autoformatting as per CppStyleGuide
  * removed using namespace declarations
  * autoformatting as per CppStyleGuide
  * Migration to aruco 3.0.4
  * Merge branch 'indigo-devel' into kinetic-devel
  * Completely remove debug print
  * Merge pull request #37 <https://github.com/pal-robotics/aruco_ros//issues/37> from pal-robotics/remove-debug-print
    Remove debug log msg
  * Remove debug log msg
  * Merge pull request #29 <https://github.com/pal-robotics/aruco_ros//issues/29> from cehberlin/kinetic-devel
    forcing opencv3 build for kinetic
  * forcing opencv3 build for kinetic
  * Contributors: Andrea Ponza, Bence Magyar, Christopher Hrabia, Jordi Pages, Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-aruco (0.2.2-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 25 Jul 2017 00:00:00 -0000

ros-humble-aruco (0.2.1-1jammy) jammy; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 21 Jul 2017 00:00:00 -0000

ros-humble-aruco (0.2.0-1jammy) jammy; urgency=high

  * Fix compilation error in Ubuntu 16.04
    With this change, aruco_ros compiles properly in Ubuntu 16.04, ROS kinetic.
  * Contributors: Francisco

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 19 Oct 2016 00:00:00 -0000

ros-humble-aruco (0.1.0-1jammy) jammy; urgency=high

  * Depend on libopencv-dev directly
  * Replace opencv2 dependency with cv_bridge
  * Update changelogs and maintainer email
  * Add aruco marker generator and opencv dependency
  * Remove duplicated images
  * Remove old launch files
  * Contributors: Bence Magyar

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 10 Aug 2015 00:00:00 -0000

ros-humble-aruco (0.0.1-1jammy) jammy; urgency=high

  * Initial release
  * Contributors: Bence Magyar

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 20 May 2015 00:00:00 -0000

=== debian/control ===
Source: ros-humble-aruco
Section: misc
Priority: optional
Maintainer: Sai Kishor Kothakota <sai.kishor@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-cv-bridge, ros-humble-ros-workspace
Homepage: http://www.uco.es/investiga/grupos/ava/node/26
Standards-Version: 3.9.2

Package: ros-humble-aruco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-humble-cv-bridge, ros-humble-ros-workspace
Description: The ARUCO Library has been developed by the Ava group of the Univeristy of Cordoba(Spain).
 It provides real-time marker based 3D pose estimation using AR markers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-aruco 5.0.5

=== debian/changelog ===
ros-humble-aruco (5.0.5-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-aruco (5.0.4-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-aruco (5.0.3-2bookworm) bookworm; urgency=high

  * Added correctFisheye parameter, not the default one (false)
  * Contributors: sergiomoyano

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-aruco (5.0.2-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 19 Mar 2023 16:00:00 -0000

ros-humble-aruco (5.0.1-2bookworm) bookworm; urgency=high

  * remove compile options for warnings
  * Contributors: Noel Jimenez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 05 Mar 2023 16:00:00 -0000

ros-humble-aruco (5.0.0-2bookworm) bookworm; urgency=high

  * fixed cornerUpsample slicing bug issue
  * disable tests for package aruco
  * added missing ament exports in CMakeLists.txt
  * added ament_lint test to the packages aruco and aruco_msgs
  * added minor fix in aruco CMakeLists.txt
  * added the ament configuration to build with colcon
  * Contributors: Noel Jimenez, Sai Kishor Kothakota, josegarcia

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 07 Feb 2023 16:00:00 -0000

ros-humble-aruco (3.1.2-2bookworm) bookworm; urgency=high

  * disable the shadow compilation flag
  * Contributors: Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 09 Nov 2022 16:00:00 -0000

ros-humble-aruco (3.1.1-2bookworm) bookworm; urgency=high

  * Merge branch 'fix/remove-markerlabelers' into 'gallium-devel'
    removed markerlabelers folder
    See merge request ros-overlays/aruco_ros!6
  * removed markerlabelers folder
  * Contributors: josecarlos, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 07 Nov 2022 16:00:00 -0000

ros-humble-aruco (3.1.0-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/aruco-3.1.5-migration-gallium' into 'gallium-devel'
    ArUCO 3.1.5 migration gallium
    See merge request ros-overlays/aruco_ros!5
  * replace disable_pal_flags() with set DISABLE_PAL_FLAGS
  * clang formatting
  * add support for extrinsics with stereo cameras
  * Add correct fisheye distortion functionality
  * migrate to 3.1.5
  * Contributors: josecarlos, josegarcia, saikishor

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-aruco (3.0.3-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Sun, 15 May 2022 16:00:00 -0000

ros-humble-aruco (3.0.2-2bookworm) bookworm; urgency=high

  * Merge pull request #103 from bmagyar/make-sai-maintainer
    Make Sai maintainer of all aruco_ros packages
  * Make Sai maintainer of all
  * Update license tags in the package.xml
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-aruco (3.0.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 09 Feb 2022 16:00:00 -0000

ros-humble-aruco (3.0.0-2bookworm) bookworm; urgency=high

  * fixes pal-robotics/aruco_ros/#89
  * Contributors: 444lhc

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 15 Jul 2021 16:00:00 -0000

ros-humble-aruco (2.1.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Wed, 16 Sep 2020 16:00:00 -0000

ros-humble-aruco (2.1.0-2bookworm) bookworm; urgency=high

  * Add param to correct fisheye distortion with special CV functions
  * Add support for camera extrinsics when dealing with stereo cameras
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 20 Jan 2020 16:00:00 -0000

ros-humble-aruco (2.0.2-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Fri, 08 Nov 2019 16:00:00 -0000

ros-humble-aruco (2.0.1-2bookworm) bookworm; urgency=high

  * Fix dependency
  * Contributors: Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-aruco (1.0.0-2bookworm) bookworm; urgency=high

  * Fix shadowed variables
  * Add SYSTEN to include dirs
  * Merge pull request #68 <https://github.com/pal-robotics/aruco_ros//issues/68> from aPonza/ros_format
    Autoformatting as per CppStyleGuide
  * removed using namespace declarations
  * autoformatting as per CppStyleGuide
  * Migration to aruco 3.0.4
  * Merge branch 'indigo-devel' into kinetic-devel
  * Completely remove debug print
  * Merge pull request #37 <https://github.com/pal-robotics/aruco_ros//issues/37> from pal-robotics/remove-debug-print
    Remove debug log msg
  * Remove debug log msg
  * Merge pull request #29 <https://github.com/pal-robotics/aruco_ros//issues/29> from cehberlin/kinetic-devel
    forcing opencv3 build for kinetic
  * forcing opencv3 build for kinetic
  * Contributors: Andrea Ponza, Bence Magyar, Christopher Hrabia, Jordi Pages, Victor Lopez

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-aruco (0.2.2-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Mon, 24 Jul 2017 16:00:00 -0000

ros-humble-aruco (0.2.1-2bookworm) bookworm; urgency=high



 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Thu, 20 Jul 2017 16:00:00 -0000

ros-humble-aruco (0.2.0-2bookworm) bookworm; urgency=high

  * Fix compilation error in Ubuntu 16.04
    With this change, aruco_ros compiles properly in Ubuntu 16.04, ROS kinetic.
  * Contributors: Francisco

 -- Sai Kishor Kothakota <sai.kishor@pal-robotics.com>  Tue, 18 Oct 2016 16:00:00 -0000

ros-humble-aruco (0.1.0-2bookworm) bookworm; urgency=high

  * Depend on libopencv-dev directly


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aruco//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-aruco//opt/ros/humble/opt/aruco/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
